//<script>
function shutup()
{
    return(false);
}

// Function: Get Slideshow Settings
function GetSlideshowSettings()
{
    this.timerId = -1;
    // Setting: # Seconds Per Image
    this.secondsToShow = Number(window.external.Settings.Read("HowOften"));
    if (this.secondsToShow == 0)
    {
        // Default: How many seconds should each image show (in seconds)?
        this.secondsToShow = 8;
        window.external.Settings.Write("HowOften", this.secondsToShow);
    }
    
    // Setting: Folder to display. 
    this.slideFolder = window.external.Settings.Read("Folder");
    if (this.slideFolder == "")
    {
        // Default: Pictures
        var myPicturesFolder = window.external.System.Shell.KnownFolder("Pictures");
        this.slideFolder = myPicturesFolder.Self.Path;
        window.external.Settings.Write("Folder", this.slideFolder);
    }
    this.crossFade = Number(window.external.Settings.Read("CrossFade"));
    this.imageAngle = Number(window.external.Settings.Read("Angle"));
}

function SetSlideshowSettings(settings)
{
    window.external.Settings.Write("HowOften", settings.secondsToShow);
    window.external.Settings.Write("Folder", settings.slideFolder);
    window.external.Settings.Write("CrossFade", settings.crossFade);
    window.external.Settings.Write("Angle", settings.imageAngle);
}